/****************************************************************************************

		ImageAPI.r

		Copyright (c)1990 - 1999 MetaCreations. All rights reserved.

		Author:	Emil
		Date:	1/21/99

		Revision History

		when		who			what & why
		==========	==========	======================================================
		02/10/99	Mathieu		color set resource

*****************************************************************************************/
#ifndef __ImageAPI_R__
#define __ImageAPI_R__

#include "ExternalAPI.r"
#include "MFRTypes.r"
#include "ImageIIDs.h"

// flags for movi
#define canRead 1
#define canWrite 2
#define canWriteAlpha 4
#define canWriteMultipleChannels 8
#define mustShowOptionsBeforeWrite 256

//******************************************************************
//
// movi
//
// private resource for Movie extensions

type 'movi' 
{
	longint;			// flags
	FTYPDATA			// The following is the 'FTYP' format, with only 1 entry
};


// flags for impo and expo
#define isAlienType 0
#define isMainType 1
#define hasExportOptions 2


//******************************************************************
//
// impo
//
// private resource for importer extensions

type 'impo'	
{
	longint;			// Family Signature
	longint;			// Class Signature
	longint;			// flags
	literal longint;	// creator (for Macintosh exporters only)
	FTYPDATA			// The following is the 'FTYP' format, with only 1 entry
};


//******************************************************************
//
// expo
//
// private resource for exporter extensions

type 'expo'	
{
	longint;			// Family Signature
	longint;			// Class Signature 
	longint;			// flags
	literal longint;	// creator (for Macintosh exporters only)
	FTYPDATA			// The following is the 'FTYP' format, with only 1 entry
};


//******************************************************************
//
// private resource for color sets - describes the set's color model
//

type kRID_ColorSetFamilyID		// struct TColorSetData definition in I2dExColorSet.h
{
	literal longint; 	// IDtype	
};

//******************************************************************
//
// data
//
// private resource for Sound data
type 'soun'
{
	longint;			// Family Signature
	longint;			// Class Signature 
	longint;			// flags
	literal longint;	// creator (for Macintosh exporters only)
	FTYPDATA			// The following is the 'FTYP' format, with only 1 entry
};


// flags for image file format (2D Import/Export)

#define imageCanWriteAlpha 1

//******************************************************************
//
// 2Din
//
// private resource for 2D importers

type '2Din'	
{
	longint;			// Family Signature
	longint;			// Class Signature
	longint;			// flags
	literal longint;	// creator (for Macintosh importers only)
	FTYPDATA			// The following is the 'FTYP' format, with only 1 entry
};

//******************************************************************
//
// 2Dou
//
// private resource for 2D exporters

type '2Dou'	
{
	longint;			// Family Signature
	longint;			// Class Signature
	longint;			// flags
	literal longint;	// creator (for Macintosh exporters only)
	FTYPDATA			// The following is the 'FTYP' format, with only 1 entry
};


#endif

